package com.engine.organization.entity.searchtree;

import com.api.hrm.bean.TreeNode;

import java.util.Objects;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/26
 * @version: 1.0
 */
public class SearchTree extends TreeNode {
    private String companyid;
    private String isVirtual;
    private String psubcompanyid;
    private String displayType;
    private boolean isCanceled;
    private String requestParams;
    private String parentComp;
    private Double orderNum;
    private Double showOrderOfTree;

    public String getCompanyid() {
        return companyid;
    }

    public void setCompanyid(String companyid) {
        this.companyid = companyid;
    }

    public String getIsVirtual() {
        return isVirtual;
    }

    public void setIsVirtual(String isVirtual) {
        this.isVirtual = isVirtual;
    }

    public String getPsubcompanyid() {
        return psubcompanyid;
    }

    public void setPsubcompanyid(String psubcompanyid) {
        this.psubcompanyid = psubcompanyid;
    }

    public String getDisplayType() {
        return displayType;
    }

    public void setDisplayType(String displayType) {
        this.displayType = displayType;
    }

    public boolean isCanceled() {
        return isCanceled;
    }

    public void setCanceled(boolean canceled) {
        isCanceled = canceled;
    }

    public String getRequestParams() {
        return requestParams;
    }

    public void setRequestParams(String requestParams) {
        this.requestParams = requestParams;
    }

    public String getParentComp() {
        return parentComp;
    }

    public void setParentComp(String parentComp) {
        this.parentComp = parentComp;
    }

    public Double getOrderNum() {
        if(null==orderNum){
            return 0.00;
        }
        return orderNum;
    }

    public void setOrderNum(Double orderNum) {
        this.orderNum = orderNum;
    }

    public Double getShowOrderOfTree() {
        if(null==showOrderOfTree){
            return 0.00;
        }
        return showOrderOfTree;
    }

    public void setShowOrderOfTree(Double showOrderOfTree) {
        this.showOrderOfTree = showOrderOfTree;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        SearchTree that = (SearchTree) o;
        return isCanceled == that.isCanceled && Objects.equals(this.getId(), that.getId()) &&Objects.equals(companyid, that.companyid) && Objects.equals(isVirtual, that.isVirtual) && Objects.equals(psubcompanyid, that.psubcompanyid) && Objects.equals(displayType, that.displayType) && Objects.equals(requestParams, that.requestParams) && Objects.equals(parentComp, that.parentComp) && Objects.equals(orderNum, that.orderNum);
    }

    @Override
    public int hashCode() {
        return Objects.hash(this.getId(),companyid, isVirtual, psubcompanyid, displayType, isCanceled, requestParams, parentComp, orderNum);
    }
}